<?php

namespace App\Cells\Equipment;

class CHASSISCell extends EquipmentCell
{
  public function __construct()
  {
    parent::__construct(service('equipment_chassisservice'));
  }

  public function stock(array $params): string
  {
    $template = array_key_exists('template', $params) ? $params['template'] : 'stock';
    return view('cells/chassis/' . $template, [
      'partCellDatas' => [
        'helper' => $this->getService()->getHelper(),
        'entities' => $this->getService()->getEntities(),
      ],
    ]);
  }
}
